Enspace
  1. Integrations
Enspace
  • Introduction
  • Authentication
  • Concepts
  • First Steps
  • Workspaces
    • Types
      • Fields
        • List Fields
        • Create Field
        • Get Field
        • Field Updated
        • Delete Field
      • Items
        • List Items
        • Create Item
        • Count Items
        • Get Item
        • Update Item
        • Delete item
      • Flows
        • Stages
          • Tasks
            • Tutorial Actions
              • Integrations
                • Tutorial Integrations
            • List Tasks
            • Get specific Task
            • New Task
          • List Stages
          • Get specific Stage
        • List Flows
        • Get specific Flow
      • Forms
        • List Form
        • Get specific Form
        • List Form Create
      • List Types
      • Count Types
      • Get specific Type
      • Create Type
      • Update Type
      • Delete Type
    • Members
      • List Members
      • Count Members
      • Get Member
      • New Member
      • Update Member
      • Remove Member
    • Roles
      • List roles
      • Create role
      • Count roles
      • Get specific role
      • Update role
      • Delete role
      • List Role Permissions
      • Add Permission to Role
      • Remove Role Permission
    • Member Groups
      • List groups
      • New group
      • Get group
      • Update group
      • Delete group
      • Add Users
      • Remove Users
    • Quick Tasks
      • List Quick Tasks
      • Count Quick Tasks
      • Get Quick Task
      • Delete Quick Task
      • Update Quick Task
      • New Quick Task
    • Integrations
      • Integration
        GET
      • Create Integration
        POST
    • List Workspaces
      GET
    • Workspace Context
      GET
    • New Workspace
      POST
    • Leave the workspace
      POST
    • Workspace Statistics
      GET
    • Workspace Deletion Preview
      GET
    • Delete Workspace
      DELETE
  • User
    • Request Log
      GET
    • List API Keys
      GET
  • Schemas
    • Schemas
      • Members
        • MemberUpdate
        • MemberCreate
        • Member
      • Roles
        • Role
        • RoleCreate
        • RoleUpdate
      • MemberGroups
        • MemberGroup
        • MemberGroupCreate
        • MemberGroupUpdate
      • Types
        • Type
        • TypeInput
        • TypeDetail
      • Items
        • Item
        • ItemInput
      • Workspace
        • WorkspaceContext
        • WorkspaceStats
        • Workspace
        • WorkspaceCreate
        • WorkspaceUpdate
      • Tasks
        • Tasks
      • Flow
        • Flow
      • Stages
        • Stage
      • Forms
        • Forms
      • Integrations
        • Integrations
      • User
      • RequestLog
      • UserApiKey
      • SuccessResponse
      • ErrorResponse
      • Field
      • FieldInput
      • Permission
      • PermissionInput
      • Error
    • Response
      • BadRequest
      • Unauthorized
      • Forbidden
      • NotFound
      • ServerError
  1. Integrations

Integration

Developing
Develop Env
https://api-develop.enspace.io
Develop Env
https://api-develop.enspace.io
GET
https://api-develop.enspace.io
/workspace-integrations
Maintainer:João Prado

List Workspace Integrations#

This endpoint retrieves a list of integrations configured in the current workspace. An integration represents an active connection with external services (such as electronic signature providers). The response includes specific configuration data (such as environment and webhook endpoints), details of the linked integration service (ID, name, category, and slug), the current connection status, and the creation and update timestamps.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
API Key
Add parameter in header
en-workspace
Example:
en-workspace: ********************
or
Query Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api-develop.enspace.io/workspace-integrations?__relations=integration' \
--header 'x-api-key: <api-key>' \
--header 'en-workspace: <api-key>'
Response Response Example
[
    {
        "id": 62,
        "data": {
            "changeKeys": false,
            "environment": "et tempor esse",
            "webhookCatcherEndpoint": "et pariatur nostrud dolore culpa"
        },
        "integration": {
            "id": 18,
            "name": "Roberto Carvalho",
            "description": "Architecto et consectetur nesciunt officia pariatur magnam illum quis minima. Deleniti recusandae delectus repudiandae nemo ullam molestias. Voluptas cupiditate pariatur debitis vero officia quidem aliquid molestiae. Vero ipsa nulla amet sed. Recusandae voluptates ex cupiditate officiis. Accusamus ab illum magni tenetur accusamus. Consequuntur maxime iure magnam id cum assumenda praesentium ipsa officiis.",
            "category": "Excepteur",
            "slug": "sunt exercitation in cupidatat eu",
            "created_at": "2026-03-11T17:15:50.100Z",
            "updated_at": "2025-11-17"
        },
        "status": "Lorem tempor nostrud voluptate cupidatat",
        "created_at": "2026-03-10T23:44:05.448Z",
        "updated_at": "2027-01-23"
    }
]
Previous
New Quick Task
Next
Create Integration
Built with